Loading...
Searching...
No Matches
etl::icircular_buffer< T >::iterator Class Reference

Iterator iterating through the circular buffer. More...

`#include <circular_buffer.h>`

## Public Member Functions

| iterator ()
| Constructor.
| iterator (const iterator &other)
| Copy Constructor.
iterator & | operator= (const iterator &other)
| Assignment operator.
reference | operator* () const
pointer | operator-> () const
| -> operator
reference | operator[] (size_t index)
| [] operator
const_reference | operator[] (size_t index) const
| [] operator
iterator & | operator++ ()
| Pre-increment.
iterator | operator++ (int)
| Post increment.
iterator & | operator-- ()
| Pre-decrement.
iterator | operator-- (int)
| Post increment.
iterator & | operator+= (int n)
| Add offset.
iterator & | operator-= (int n)
| Subtract offset.
difference_type | get_index () const
const icircular_buffer & | container () const
pointer | get_buffer () const

## Protected Member Functions

difference_type | distance (difference_type firstIndex, difference_type index) const
| iterator (const icircular_buffer< T > *picb_, size_type current_)
| Protected constructor. Only icircular_buffer can create one.

## Friends

class | icircular_buffer
iterator | operator+ (const iterator &lhs, int n)
| Add offset.
iterator | operator+ (int n, const iterator &rhs)
| Add offset.
iterator | operator- (const iterator &lhs, int n)
| Subtract offset.
bool | operator== (const iterator &lhs, const iterator &rhs)
| Equality operator.
bool | operator!= (const iterator &lhs, const iterator &rhs)
| Inequality operator.
bool | operator< (const iterator &lhs, const iterator &rhs)
bool | operator<= (const iterator &lhs, const iterator &rhs)
bool | operator> (const iterator &lhs, const iterator &rhs)
bool | operator>= (const iterator &lhs, const iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::random_access_iterator_tag, T >
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef ETL_OR_STD::random_access_iterator_tag | iterator_category

## Detailed Description

template<typename T>
class etl::icircular_buffer< T >::iterator

Iterator iterating through the circular buffer.

## Member Function Documentation

## operator*()

template<typename T>

reference etl::icircular_buffer< T >::iterator::operator* | ( |  | ) | const

inline

- operator

The documentation for this class was generated from the following file:

- include/etl/circular_buffer.h